Page MenuHomePhabricator

OOUI/WikimediaUI icon inventory (tracking)
Open, LowestPublic

Description

Overview of the WikimediaUI icon collection, which lives in OOUI repository, if, in which products and how they are used.
Status of OOUI v0.31.5.

Based on that, let's open subtasks when icons are

  • better moved in other packs/places,
  • or removed at all.
Icon namein uselocationintentional use/comment
Icons – movementStructuredDiscussions
arrowLast in planPlanned in MinervaNeue
arrowNext in plan--
downTriangle
upTriangle
collapseOOUIToolbar
expandOOUI, VEWidgets, Toolbar; Media info, error blocks
moveExtension:CollaborationKitCollaborationKit seems to be the only place where it's in use, could be replaced, but might still be a useful part of lib
firstMWAdded in v0.21.3; First search results page button
nextVEFind and replace 'next' button
previousVEFind and replace 'previous' button
lastVEAdded in v0.21.3; Last search results page button
draggable in use in OOUI demo for “DraggableGroupWidget with handles (vertical)‎”, moved from 'layout' and renamed from “stripeSideMenu”
Icons – contentMW, Notifications, StructuredDiscussions
articleRCFiltersFilterTagMultiselectWidget & ViewSwitchWidget
articlesProofreadPage
articleCheckNot in use yet, remains in lib for future usage
articleAddIntended to be used in Advanced Mobile Contributions; added in v0.30.4
articleSearchVE (Search), CodeEditor
articleRedirectNot in use yet, remains in lib for future usage
dieMinervaNeuePlanned to take WikimediaUI ones
downloadExtension:3D
folderPlaceholderNowhere in use currently
historyVaguely planned for VE this coming quarter
infoOOUI, VEHelp layout; template parameter and media file details
robotAdded in v0.30.0, planned for CX, see T212299
tagVEas “Categories”
windowVEas “Option”
uploadOOUISelectFileWidget
Icons – alertsNotifications, VENotifications actually uses a local copy of the icons because of the clutter here
alertVEPage notices and alerts
bellNotificationsNotifications actually uses a local copy of this
errorOOUIError messages; added in v0.31.3
messageNotificationsNotifications actually uses a local copy of this
noticeVE similar as “Alert (Indicators)”; used as “[HTML] Comment” icon in VE
speechBubbleVEFeedbackButton, FeedbackLink
speechBubbleAdd
speechBubblesEcho, CX, PageTriage
trayNotificationsNotifications actually uses a local copy of this
Icons – interactions
addOOUI, VE"Insert paragraph"; insert transclusion component
browser in use?
cancelVE as “Clear styling”
checkOOUIToolbar, Checkbox
clear in use?Could probably be merged with indicator clear, scaling might be a problem
clockVE, StructuredDiscussionsVE: MWMediaDialog; StructuredDiscussions: Reorder topics
closeVE, KartographerVE: Debug bar only; Kartographer: close full screen
ellipsisOOUIToolbar
feedbackMW RCFiltersAdded in v0.19.4
funnelMW RCFilers, MobileFrontendMobileFrontend: Filter button in NotificationsInputWidget
heart in use?Even if not in use, should probably stay in a decent icon collection
helpVEHelp item (for VE toolbar use)
helpNoticeRCFilters, RevisionSliderHelp icon on black circle aligning to 'alerts', 'notice' icons; added in OOUI v0.28.2
key in use?Even if not in use, should probably stay in a decent icon collection
keyboardVEMWPopupTool
lightbulbCXUsed for suggestions in CX dashboard, added in OOUI v0.25.0, see T175006
logOut in use?Should be used in MobileFrontend, which currently uses a custom icon, visually completely off
newWindow very similar to LinkExternal (editing-core, below)
printer in use?Even if not in use, should probably stay in a decent icon collection
reloadMW RCFiltersAdded in v0.23.4, also planned for CX 2
searchMW, VEAll search TextInputWidgets
settingsVE et alRenamed from “advanced” in v0.28.2. Settings, in VE "Advanced settings"
subtractOOUIAdded in v0.19.5
Icons – moderationNotifications, StructuredDiscussions
bookmarkOutlineMW RCFiltersAdded in v0.21.3, renamed from 'unClip'
bookmarkMW RCFiltersAdded in v0.21.3, renamed from 'clip'
block
unBlockRenamed from “blockUndo”, see T148269
flagCX.cx-tools-link-mark-red
unFlagRenamed from “flagUndo”, T148269
lock
unLock
ongoingConversation
starPlanned to be used in Vector
halfStarAdded in v0.19.1. Plan to be used in VoteNY, T156553
unStar
trash
unTrashRenamed from “trashUndo”, ideas around has been also “Restore” – arguments given in T148269
pushPinAdded in v0.21.3
Icons – editing-core
editVELoad editor (mobile site), switch to VE (desktop & mobile)
editLock
editUndo
linkVELink
linkExternalVEExternal link; very similar to NewWindow (interactions, above)
linkSecure in use?
redoVE
undoVE
Icons – editing-styling
biggerVE<big> styling
smallerVE<small> styling
subscriptVE<sub> styling
superscriptVE<sup> styling
boldVE<b> styling
italicVE<i> styling
highlightMW RCFilters
strikethroughVE<s> styling
underlineVE<u> styling
textDirLTRVELanguage annotation
textDirRTLVELanguage annotation
textStyleVEStyling menu
Icons – editing-list
indentVELists
listBulletVELists
listNumberedVELists
outdentVELists
Icons – editing-advanced
alignCenterVEMedia dialog
alignLeftVEMedia dialog
alignRightVEMedia dialog
attachmentMW coremw.widgets.StashedFileWidget.js
beakerVEAdded in v0.28.1
calendarUploadWizardGet details step
codeVE<code> styling; could move to editing-styling?
hieroglyphVEAdded in v0.28.1
imageLayoutBasicVEAdded in v0.30.4
imageLayoutFrameVEAdded in v0.30.4
imageLayoutFramelessVEAdded in v0.30.4
imageLayoutThumbnailVEAdded in v0.30.4
languagewww.wikipedia.org language button, collapsed language links (in beta), VE and seem different.
layout in use?
markupVESyntaxHighlight tool
mathematicsVEAdded in v0.28.1
mathematicsDisplayBlockVEAdded in v0.28.1
mathematicsDisplayDefaultVEAdded in v0.28.1
mathematicsDisplayInlineVEAdded in v0.28.1
newline in use?
noWikiText seemingly not in use
outline
puzzleVETemplates and extensions, since T111041
quotesVECite (functionality) & Find and Replace (whole word)
searchCaseSensitiveVESearch
searchDiacriticVESearch, added in v0.19.4
searchRegularExpressionVESearch
signatureVEMoved from 'icons-alerts' in v0.23.0.
specialCharacterVEToolbar
tableVETables
tableAddColumnAfterVETables
tableAddColumnBeforeVETables
tableAddRowAfterVETables
tableAddRowBeforeVETables
tableCaptionVETables
tableMergeCellsVETables
templateAdd seemingly not in use
wikiTextVEToolbar for switching
Icons – editing-citationAdded in v0.27.0
bookVE > Cite
journalVE > Cite
newspaperVE > Cite
webVE > Citedeprecated in v0.30.4 in favor of 'browser'
referenceVE > Cite
referenceExistingVE > Cite
referencesVE > Cite
Icons – media
cameraAdded in v0.26.0
chartAdded in v0.28.1
fullScreenKartographer
imageVE<gallery>
imageAdd
imageLock
imageGalleryVE<gallery>
musicalScoreVEAdded in v0.28.1
playRCFilters: “Live updates” button
stopRCFilters: “Live updates” button
zoomInAdded in v0.28.1
zoomOutAdded in v0.28.1
Icons – location
globeAdded in v0.28.2
mapKartographer
mapPinSpecial:UploadWizard
mapPinAdd
mapTrailRenamed from “wikitrail” in v0.20.1
Icons – user
userActiveExtension:AdvancedSearch
userAvatarCXUsed in personal header on Content Translation, for logged in users - T160918
userAnonymousCXUsed in personal header on Content Translation Stats page, for anonymous users
userTalkExtension:AdvancedSearch
Icons – layout
MenuVEToolbar menu
stripeFlow
stripeSummaryiOS + Android appsWikidata description editing
stripeToCStructuredDiscussions.flow_block_board-history.handlebars & .flow_block_topic*.handlebars
viewCompact seemingly not in use
viewDetails seemingly not in use
Icons – accessibility
bright
halfBright
notBright
eye in use?For use in accessibility settings?! Deprecated from 'alerts' in v0.23.0 and moved here.
eyeClosed in use?Deprecated from 'alerts' in v0.23.0 and moved here.
moon
largerText
smallerText
visionSimulator
Icons – wikimedia
logoCC
logoWikidataAdded in v0.30.2
logoWikimediaAdded in v0.30.2
logoWikimediaCommonsMight be used in FileAnnotations
logoWikimediaDiscoveryDiscovery Discovery team, used for printed t-shirts, was called “betaLaunch” till v0.18.3
logoWikipediaMight be used in FileAnnotations
IndicatorsOOUI
clear
down
next to deprecate?1 current usage Extension:SpellingDictionary
previous to deprecate?0 current usage
required
search
up
Textures
pending deprecated, replaced by CSS-only solutionOOUIformerly PendingElement
transparency in use?

Removed icons/indicators over course of time:

Icon nameintentional use/comment
Icons – core Removed in v0.22.0, icons here were moved to other packs
Icons - alert
bellOn Removed in v0.26.0. See T145163
comment Removed in v0.28.0 as it was merged with 'speechBubble'
Icons – movement
caretLast Removed in v0.23.0, merged with 'previous', 'next', 'collapse', 'expand'
caretNext Removed in v0.23.0, merged with 'previous', 'next', 'collapse', 'expand'
caretDown Removed in v0.23.0, merged with 'previous', 'next', 'collapse', 'expand'
caretUp Removed in v0.23.0, merged with 'previous', 'next', 'collapse', 'expand'
Icons – editing-advanced
find Removed in v0.28.0. Search; merged with 'articleSearch' in 'content'.
quotesAdd Removed in v0.26.0
Icons – interaction
bookmark Removed in v0.22.0
settings Removed in v0.28.0. Replaced by 'pageSettings'.
sun Removed in v0.24.0
watchlist Removed in v0.24.0.
Icons – media
photoGallery Removed in v0.18.0, deprecated alias of ImageGallery
Indicators
alert Removed in v0.27.0. See T185158

Related Objects

StatusAssignedTask
OpenVolker_E
ResolvedVolker_E
StalledNone
ResolvedVolker_E
ResolvedJdforrester-WMF
ResolvedJdforrester-WMF
ResolvedVolker_E
ResolvedVolker_E
ResolvedPrtksxna
ResolvedEsanders
ResolvedJdforrester-WMF
ResolvedVolker_E
DeclinedVolker_E
ResolvedVolker_E
ResolvedVolker_E
ResolvedVolker_E
ResolvedVolker_E
ResolvedVolker_E
OpenVolker_E
OpenNone
ResolvedVolker_E
ResolvedVolker_E
ResolvedVolker_E
ResolvedVolker_E

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
RHo added a comment.Aug 24 2017, 2:24 PM
This comment was removed by RHo.
Volker_E updated the task description. (Show Details)Aug 25 2017, 4:30 PM
Restricted Application added a subscriber: jeblad. · View Herald TranscriptAug 25 2017, 4:30 PM

I cant see arrowLast or arrowNext being used anywhere. Do we want to get rid of them?

@Prtksxna I don't have a strong opinion as those could be of use pretty quickly and/or there are similar hiding as mediawiki.ui icons somewhere. Let me make it a topic in next Design Review.

Volker_E updated the task description. (Show Details)Sep 6 2017, 6:39 PM
Volker_E updated the task description. (Show Details)
Volker_E updated the task description. (Show Details)Sep 6 2017, 6:43 PM
Volker_E updated the task description. (Show Details)Sep 12 2017, 6:21 PM
Volker_E updated the task description. (Show Details)Sep 12 2017, 7:40 PM
Volker_E updated the task description. (Show Details)Sep 20 2017, 12:21 AM
Volker_E updated the task description. (Show Details)Sep 20 2017, 12:24 AM
Volker_E updated the task description. (Show Details)Sep 21 2017, 9:43 PM
Esanders updated the task description. (Show Details)Oct 10 2017, 2:13 PM

We've been putting forward a general task on unifying and refining icon set to the identified icon guidelines at T177432 and would like to invite for specific feedback on single icons at

  • with Pholio inline comments.

    Volker_E updated the task description. (Show Details)Oct 25 2017, 8:41 PM
    Volker_E updated the task description. (Show Details)Oct 25 2017, 9:53 PM
    Volker_E updated the task description. (Show Details)
    Volker_E updated the task description. (Show Details)Dec 5 2017, 12:46 AM
    Volker_E updated the task description. (Show Details)Dec 5 2017, 2:41 AM
    Volker_E updated the task description. (Show Details)Dec 6 2017, 1:00 AM
    Volker_E updated the task description. (Show Details)Dec 7 2017, 8:19 AM
    Volker_E renamed this task from OOjs UI icon inventory (tracking) to OOUI icon inventory (tracking).Dec 20 2017, 1:40 AM
    Volker_E updated the task description. (Show Details)Dec 20 2017, 11:20 PM
    Volker_E renamed this task from OOUI icon inventory (tracking) to OOUI/WikimediaUI icon inventory (tracking).Dec 22 2017, 9:26 PM
    Volker_E updated the task description. (Show Details)
    Volker_E updated the task description. (Show Details)Dec 24 2017, 9:27 PM
    matmarex removed a subscriber: matmarex.Dec 27 2017, 5:00 AM
    Volker_E updated the task description. (Show Details)Jan 6 2018, 3:45 AM
    Volker_E updated the task description. (Show Details)Jan 16 2018, 9:23 PM
    Volker_E updated the task description. (Show Details)Feb 2 2018, 3:23 AM
    Volker_E updated the task description. (Show Details)Feb 7 2018, 1:03 AM
    Volker_E updated the task description. (Show Details)Mar 20 2018, 3:41 AM
    Volker_E updated the task description. (Show Details)Mar 22 2018, 6:37 AM
    Volker_E updated the task description. (Show Details)
    Volker_E updated the task description. (Show Details)
    Volker_E updated the task description. (Show Details)Apr 3 2018, 11:43 PM
    Volker_E updated the task description. (Show Details)May 7 2018, 8:53 PM
    cmadeo updated the task description. (Show Details)May 22 2018, 5:46 PM
    cmadeo updated the task description. (Show Details)
    Volker_E updated the task description. (Show Details)Aug 13 2018, 10:22 PM
    Volker_E updated the task description. (Show Details)Aug 15 2018, 12:25 AM
    Volker_E updated the task description. (Show Details)Sep 4 2018, 9:03 AM
    Volker_E updated the task description. (Show Details)Sep 5 2018, 12:49 AM
    Volker_E updated the task description. (Show Details)Sep 11 2018, 11:07 PM
    Volker_E updated the task description. (Show Details)Jan 2 2019, 6:39 PM
    Volker_E updated the task description. (Show Details)Jan 2 2019, 6:42 PM
    Volker_E lowered the priority of this task from High to Lowest.Jan 7 2019, 7:20 AM
    Volker_E removed the point value for this task.

    With T177847 resolved this task is mostly for informative matters, therefore lowering priority still keeping task open.

    Volker_E updated the task description. (Show Details)Mar 6 2019, 11:44 PM
    Volker_E updated the task description. (Show Details)Apr 9 2019, 3:53 AM
    Volker_E updated the task description. (Show Details)
    Volker_E updated the task description. (Show Details)Apr 24 2019, 6:57 PM
    Volker_E updated the task description. (Show Details)Fri, Apr 26, 2:40 PM
    Volker_E updated the task description. (Show Details)Fri, Apr 26, 8:24 PM